case "$1" in
    start)
		# open winbindd and set doamin
		/usr/builtin/etc/init.d/S49winbindd start
		sed -i s/--domain=.*\ --request-nt-key/--domain=`uname -n`\ --request-nt-key/ /usr/local/AppCentral/radiusserver/freeradius/etc/raddb/mods-available/mschap
		/usr/local/AppCentral/radiusserver/bin/init start
		/usr/local/AppCentral/radiusserver/freeradius/sbin/radiusd
        ;;
    stop)
		/usr/local/AppCentral/radiusserver/bin/init stop
		kill -HUP `cat /usr/local/AppCentral/radiusserver/freeradius/var/run/radiusd/radiusd.pid`
		kill -9 `cat /usr/local/AppCentral/radiusserver/freeradius/var/run/radiusd/radiusd.pid`
		;;
    restart)
		/usr/local/AppCentral/radiusserver/bin/init stop
		kill -9 `cat /usr/local/AppCentral/radiusserver/freeradius/var/run/radiusd/radiusd.pid`
		/usr/builtin/etc/init.d/S49winbindd start
		sed -i s/--domain=.*\ --request-nt-key/--domain=`uname -n`\ --request-nt-key/ /usr/local/AppCentral/radiusserver/freeradius/etc/raddb/mods-available/mschap
		/usr/local/AppCentral/radiusserver/bin/init start
		/usr/local/AppCentral/radiusserver/freeradius/sbin/radiusd
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0

